## Makefile.am for lnk file meta info plugin

INCLUDES         = $(all_includes)

bin_PROGRAMS = lnkforward

lnkforward_SOURCES = lnkforward.cpp
lnkforward_LDADD = $(LIB_TDECORE) $(LIB_TDEIO)
lnkforward_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
lnkforward_METASOURCES = lnkforward.moc

lnkforward_DATA = lnkforward.desktop
lnkforwarddir = $(kde_appsdir)/.hidden

# these are the headers for your project
noinst_HEADERS   = tdefile_lnk.h read_lnk.h lnkforward.h

kde_module_LTLIBRARIES = tdefile_lnk.la

tdefile_lnk_la_SOURCES = tdefile_lnk.cpp read_lnk.cpp
tdefile_lnk_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
tdefile_lnk_la_LIBADD = $(LIB_TDEIO)
tdefile_lnk_la_METASOURCES = tdefile_lnk.moc

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

kde_services_DATA = tdefile_lnk.desktop

mime_DATA = x-win-lnk.desktop
mimedir = $(kde_mimedir)/application

messages:
	$(XGETTEXT) *.cpp -o $(podir)/tdefile_lnk.pot
